﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WG_BindToTwoDimArray
{
    class Item : INotifyPropertyChanged
    {
        private double minVal;
        private double maxVal;

        public Item(double minVal, double maxVal)
        {
            this.maxVal = maxVal;
            this.minVal = minVal;
        }


        public double MinimumValue
        {
            get { return minVal; }
            set 
            { 
                minVal = value;
                NotifyPropertyChanged("MinimumValue");
            }
        }

        public double MaximumValue
        {
            get { return maxVal; }
            set 
            {
                if (this.maxVal != value)
                {
                    maxVal = value;
                    NotifyPropertyChanged("MaximumValue");
                }
            }
        }

        private void NotifyPropertyChanged(String propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
